/* icons */
/*@font-face {
    font-family: "Nerd Font";
    src: url(../fonts/SymbolsNerdFont-Regular.ttf);
    font-weight: normal;
    font-style: normal;
}*/

@keyframes appear {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

* {
    box-sizing: border-box;
}

body {
    background-color: #3F2642;
    font-family: Comic Sans MS;
    color: #f5f5f5;
}

header {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    z-index: 1;
    display: inline-block;
    padding-top: 2em;
}

header nav {
    text-align: center;
    float: left;
    width: 30%;
}

header nav a {
    color: #E7CB56;
    font-size: 20px;
    text-decoration: none;
    display: inline-block;
    padding: 10px 15px;
    border-radius: 1em;
    transition: 0.2s;
}

header nav a:hover {
    color: #3F2642;
    background-color: #E7CB56;
    transition: 0.2s;
}

main {
    margin: auto;
    padding: 10%;
    max-width: 1500px;
    display: grid;
}

#index {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    /*animation: appear 4s;*/ /*for now*/
}

main h1 {
    font-size: 6em;
    text-align: center;
    line-height: 0.1em;
    text-transform: uppercase;
}

.title,
#four {
    grid-column: 1 / -1;
}

.title :nth-child(2) {
    opacity: 0.5;
    margin-top: 5px;
}

.title :nth-child(3) {
    opacity: 0.2;
    margin-top: 5px;
}

main img {
    grid-template-columns: 1fr 1fr;
    /*grid: autoflow / 1fr 1fr;*/
    /*grid-row: 1 ;*/
    width: 100%;
    padding: 2em;
}

.text {
    padding-top: 1em;
    margin: 2em;
}

#blog {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.rating {
    margin-top: 2em;
    text-align: right;
}

footer {
    text-align: center;
    padding: 2em;
}

footer a {
    padding: 10px 15px;
}

main a {
    color: #E7CB56;
    text-decoration: none;
}

/*main a:hover {
    background-color: #E7CB56;
    color: #3F2642;
    transition: 0.2s;
}*/

/* main ul {
    list-style-type: none;
} */

main ul li {
    padding: 5px;
}

main table {
    margin: 1em;
    border-collapse: collapse;
    border: 2px solid #f5f5f5;
    grid-column: 2;
    grid-row: 2 / -1;
    width: 100%;
}

#mobile {
    display: none;
}

main th,
td {
    padding: 0.5em;
    border: 1px solid #f5f5f5;
}
/*
main ol {
    padding: 10px 15px;
}

main ol li {
    padding: 10px 15px;
} */

.rand {
    text-align: center;
    font-size: 1.2em;
}

#noaccess,
#noaccess:hover {
    color: gray;
    text-decoration: none;
    background-color: #3F2642;
    cursor: not-allowed;
}

#back {
    text-align: center;
}

section {
    color: #f5f5f5;
    text-align: center;
    background-color: #E7CB5630;
    border: 0.2em solid #E7CB56;
    border-radius: 1.3em;
    padding: 0.7em;
    margin: 1em;
    transition: 0.2s;
}

section img {
    grid-column: 1;
    grid-row: 1 / 4;
    width: 55%;
}

section:hover {
    color: #E7CB56;
    transition: 0.2s;
}

/* section:hover{
    box-shadow: 0 0 3px 3px #f5f5f5;
} */

input,
textarea {
    border: none;
    border-radius: 0.7em;
    transition: 0.1s;
    background-color: #171717;
    color: #f5f5f5;
    padding: 0.7em;
    font-size: 1em;
}

input:focus,
textarea:focus {
    border: 0.2em solid #E7CB56;
    border-radius: 0.7em;
    transition: 0.1s;
    outline: none;
}

button {
    border: 0.2em solid #898989;
    border-radius: 0.7em;
    background-color: #3F2642;
    color: #f5f5f5;
    font-family: Ubuntu;
    font-size: 1em;
    padding: 0.7em;
    transition: 0.1s;
}

button:hover {
    border: 0.2em solid #E7CB56;
    transition: 0.1s;
}

button:active {
    border: 0.2em solid #abc9a0;
}

.text img {
    width: 40%;
}

.trans {
    animation: 5s linear infinite trans;
}

.rainbow {
    animation: 5s linear infinite rainbow;
}

/* mobile */
@media (max-width: 600px) {
    section img {
        display: none;
    }

    #index {
        display: inline-block;
    }

    main {
        margin-top: 6em;
    }

    main h1 {
        line-height: 0.7em;
        font-size: 1.5em;
    }

    textarea {
        width: 250px;
    }

    #mobile {
        display: flex;
    }

    header {
        flex-direction: column;
    }

    header nav {
        flex-direction: row;
        justify-content: center;
    }

    nav + #second {
        margin-top: -5px;
    }

    #blog {
        grid-template-columns: 1fr;
    }

    .text img {
        width: 100%;
    }
}

/*niche folding screens*/
@media (max-width: 900px) {
    section img {
        display: none;
    }

    #index {
        display: inline-block;
    }

    main {
        margin-top: 6em;
    }

    main h1 {
        /*line-height: 0.5em;*/
        font-size: 4em;
    }

    .title {
        margin-top: -1em;
    }

    textarea {
        width: 250px;
    }

    #mobile {
        display: flex;
    }

    header {
        flex-direction: column;
    }

    header nav {
        flex-direction: row;
        justify-content: center;
    }

    nav + #second {
        margin-top: -5px;
    }

    #blog {
        grid-template-columns: 1fr;
    }

    .text img {
        width: 100%;
    }
}
